<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\PriceKey;
use Illuminate\Support\Facades\Auth;

class PriceKeyController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        //
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit()
    {
        $priceKey = PriceKey::find(1);
        return view('Backend.PriceKey.edit')->with('priceKey',$priceKey);
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request)
    {
        $rules =['key' => 'required'];

        $validation = $this->Validate($request,$rules);
        $priceKey = PriceKey::find(1);
        if($priceKey)
        {
            $priceKey->price_key = $request->key;
            $priceKey->save();
        }
        return redirect('price-key/edit')->with('alert-success', 'Price Key Updated Successfully');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}
