<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Homepage_widget extends Model
{
    use SoftDeletes;
    protected $table        = 'homepage_widgets';
    protected $primery_key  = 'id';

    public function getslider(){
        $slider=[];
        $get_slider=explode(',',$this->product_id);
        for($i=0;$i<count($get_slider);$i++){
            $slider[]=Product_image::where('product_id','=',$get_slider[$i])
                                    ->where('type','=','main_image')->first();
        }
        return $slider;
    }

    public function products()
    {
        return $this->belongsTo('App\Product','product_id');
    }

    public function sub_category()
    {
        return $this->belongsTo('App\Category','product_id');
    }

    public function exhibitions()
    {
        return $this->belongsTo('App\Exhibition','product_id');
    }

}
