<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Storage;use App\Category;
use App\Product;
use Illuminate\Support\Facades\Auth;
use App\CategoriesFilter;
use DB;

class CategoryFilterController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $data['categoriesFilter'] = CategoriesFilter::all();
        $data['getCategories']  = getCategories();
        //dd($data['getCategories']->categories);
        return view('Backend.CategoriesFilter.create',$data);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        if(count($request->cat_filter) > 0)
        {
            DB::table('categories_filters')->truncate();
            foreach ($request->cat_filter as $key => $value) 
            {
                $categoriesFilter = new CategoriesFilter;
                $filterValue = explode(",",$value);
                $categoriesFilter->av_id                = $filterValue[0];
                $categoriesFilter->name                 = $filterValue[1];
                $categoriesFilter->published            = $filterValue[2];
                $categoriesFilter->parent_category_id   = $filterValue[3];
                $categoriesFilter->description          = $filterValue[4];
                $categoriesFilter->image                = $filterValue[5];
                $categoriesFilter->save();
            }
            return redirect('categories-filter')->with('alert-success', 'Category Filters Updated Successfully');
        }
        else
        {
            return redirect('categories-filter')->with('alert-error', 'Please select at least one category');
        }
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}
