<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\PriceKey;
use Illuminate\Support\Facades\Auth;

class LessPriceController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        //
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit()
    {
        $lessPrice = PriceKey::find(3);
        return view('Backend.LessPrice.edit')->with('lessPrice',$lessPrice);
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request)
    {
        $rules =['key' => 'required'];

        $validation = $this->Validate($request,$rules);
        $lessPrice = PriceKey::find(3);
        if($lessPrice)
        {
            $lessPrice->price_key = $request->key;
            $lessPrice->save();
        }
        return redirect('less-price/edit')->with('alert-success', 'Less then Price Updated Successfully');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}
