@extends('layouts.app')
@section('pagetitle', 'Slider')
@section('subtitle', 'Edit')
@section('page_css')
@endsection
@section('content')
        <div class="row">
            <div class="col-lg-12">
                <!--breadcrumbs start -->
                <ul class="breadcrumb">
                    <li><a href="{{ url('/') }}"><i class="fa fa-home"></i> Home</a></li>
                    <li><a href="{{ url('/slider') }}">@yield('pagetitle')</a></li>
                    <li class="active"><strong>@yield('subtitle')</strong></li>
                </ul>
                <!--breadcrumbs end -->
            </div>
        </div>
        <div class="row">
                <div class="col-lg-12">
                    <section class="panel">
                        <header class="panel-heading">
                            @yield('subtitle') <small> @yield('pagetitle')</small>
                        </header>
                        <div class="panel-body">
                            <form method="post" action="{{ url('slider/update/'.$slider_image->id) }}" class="form-horizontal tasi-form" enctype="multipart/form-data">
                                {{ csrf_field() }}
                                <div class="form-group">
                                    <label class="col-sm-2 col-sm-2 control-label">Slider Image</label>
                                    <div class="col-sm-10">
                                        <input type="file" class="form-control" name="image" id="image">
                                        <small class="text-danger">{{ $errors->first('image') }}</small>
                                        <img alt="task-thumb" src="{{ asset('storage/Slider-Images/'.$slider_image->image)}}" height="100px" width="100px" style="margin-top:10px;">
                                    </div>
                                </div>
                                <button type="submit" class="btn btn-success">Update</button>
                            </form>
                        </div>
                    </section><br><br><br><br><br><br><br><br><br><br>
                </div>
            </div>
@endsection
@section('page_js')

@endsection