<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="">
    <meta name="author" content="">
    <meta name="csrf-token" content="{{ csrf_token() }}">
<link rel="shortcut icon" href="{{ URL::asset('public/assets/img/favicon.ico') }}">

    <title>{{ config('app.name', 'AV DIAMOND') }}</title>

    <!-- Bootstrap core CSS -->
    <link href="{{ URL::asset('public/assets/css/bootstrap.min.css')}}" rel="stylesheet">
    <link href="{{ URL::asset('public/assets/css/bootstrap-reset.css')}}" rel="stylesheet">
    <!--external css-->
    <link href="{{ URL::asset('public/assets/font-awesome/css/font-awesome.css')}}" rel="stylesheet" />
    <!-- Custom styles for this template -->
    <link href="{{ URL::asset('public/assets/css/style.css')}}" rel="stylesheet">
    <link href="{{ URL::asset('public/assets/css/style-responsive.css')}}" rel="stylesheet" />

    <!-- HTML5 shim and Respond.js IE8 support of HTML5 tooltipss and media queries -->
    <!--[if lt IE 9]>
    <script src="js/html5shiv.js"></script>
    <script src="js/respond.min.js"></script>
    <![endif]-->
</head>

    <body class="login-body">

    <div class="container">

        <form class="form-signin" action="{{ route('login') }}" method="POST">
        {{ csrf_field() }}
        <h2 class="form-signin-heading">sign in now</h2>
        <div class="login-wrap">
            <input id="email" type="email" name="email" value="" class="form-control" placeholder="E-Mail Address" autofocus>
            <small class="text-danger">{{ $errors->first('email') }}</small>
            <br>
            <input id="password" type="password" name="password" class="form-control" placeholder="Password">
            <small class="text-danger">{{ $errors->first('password') }}</small>
            <button class="btn btn-lg btn-login btn-block" type="submit">Sign in</button>
        </div>
        </form>

    </div>



    <!-- js placed at the end of the document so the pages load faster -->
    <script src="{{ URL::asset('public/assets/js/jquery.js')}}"></script>
    <script src="{{ URL::asset('public/assets/js/bootstrap.min.js')}}"></script>


  </body>
</html>
