<!DOCTYPE html>
<html lang="<?php echo e(str_replace('_', '-', app()->getLocale())); ?>">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="">
    <meta name="author" content="">
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">
  <link rel="shortcut icon" href="<?php echo e(URL::asset('public/assets/img/favicon.ico')); ?>">
    <title><?php echo $__env->yieldContent('pagetitle'); ?> <?php echo e(config('app.name', 'AV DIAMOND')); ?></title>

    <!-- Bootstrap core CSS -->
    <link href="<?php echo e(URL::asset('public/assets/css/bootstrap.min.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(URL::asset('public/assets/css/bootstrap-reset.css')); ?>" rel="stylesheet">
    <!--external css-->
    <link href="<?php echo e(URL::asset('public/assets/font-awesome/css/font-awesome.css')); ?>" rel="stylesheet" />
    <link href="<?php echo e(URL::asset('public/assets/jquery-easy-pie-chart/jquery.easy-pie-chart.css')); ?>" rel="stylesheet" type="text/css" media="screen"/>
    <link rel="stylesheet" href="<?php echo e(URL::asset('public/assets/css/owl.carousel.css')); ?>" type="text/css">

     <!--dynamic table-->
    <link href="<?php echo e(URL::asset('public/assets/advanced-datatable/media/css/demo_page.css')); ?>" rel="stylesheet" />
    <link href="<?php echo e(URL::asset('public/assets/advanced-datatable/media/css/demo_page.css')); ?>" rel="stylesheet" />
    <link href="<?php echo e(URL::asset('public/assets/toastr-master/toastr.css')); ?>" rel="stylesheet" />
    <link rel="stylesheet" href="<?php echo e(url('public/assets/data-tables/DT_bootstrap.css')); ?>" />

    <!--right slidebar-->
    <link href="<?php echo e(URL::asset('public/assets/css/slidebars.css')); ?>" rel="stylesheet">

    <!-- Custom styles for this template -->

    <link href="<?php echo e(URL::asset('public/assets/css/style.css')); ?>" rel="stylesheet">
    <link href="<?php echo e(URL::asset('public/assets/css/style-responsive.css')); ?>" rel="stylesheet" />
    <style>
      @import  url(https://fonts.googleapis.com/css?family=Roboto:400italic,400);
      * {
        font-family: "Roboto", Helvetica, sans-serif;
        font-size: 12px;
        letter-spacing: 0.5px;
      }
      @font-face 
      {
	      font-family: 'Gotham-Webfont';
	      src: '<?php echo e(asset("frontAssets/assets/fonts/gotham-bold.eot")); ?>';
	      src: '<?php echo e(asset("frontAssets/assets/fonts/gotham-bold.eot")); ?>' format("embedded-opentype"), '<?php echo e(asset("frontAssets/assets/fonts/gotham-bold.woff2")); ?>' format("woff2"), '<?php echo e(asset("frontAssets/assets/fonts/gotham-bold.woff")); ?>' format("woff"), '<?php echo e(asset("frontAssets/assets/fonts/gotham-bold.ttf")); ?>' format("truetype"), '<?php echo e(asset("frontAssets/assets/fonts/gotham-bold.svg")); ?>' format("svg");
	      font-weight: 700;
	      font-style: normal
      }

      @font-face 
      {
	      font-family: 'Gotham-Webfont';
	      src: '<?php echo e(asset("frontAssets/assets/fonts/gotham-book.eot")); ?>';
	      src: '<?php echo e(asset("frontAssets/assets/fonts/gotham-book.eot")); ?>' format("embedded-opentype"), '<?php echo e(asset("frontAssets/assets/fonts/gotham-book.woff2")); ?>' format("woff2"), '<?php echo e(asset("frontAssets/assets/fonts/gotham-book.woff")); ?>' format("woff"), '<?php echo e(asset("frontAssets/assets/fonts/gotham-book.ttf")); ?>' format("truetype"), '<?php echo e(asset("frontAssets/assets/fonts/gotham-book.svg")); ?>' format("svg");
	      font-weight: 400;
	      font-style: normal
      }

      @font-face 
      {
	      font-family: 'Gotham-Webfont';
	      src: '<?php echo e(asset("frontAssets/assets/fonts/gotham-light.eot")); ?>';
	      src: '<?php echo e(asset("frontAssets/assets/fonts/gotham-light.eot")); ?>' format("embedded-opentype"), '<?php echo e(asset("frontAssets/assets/fonts/gotham-light.woff2")); ?>' format("woff2"), '<?php echo e(asset("frontAssets/assets/fonts/gotham-light.woff")); ?>' format("woff"), '<?php echo e(asset("frontAssets/assets/fonts/gotham-light.ttf")); ?>' format("truetype"), '<?php echo e(asset("frontAssets/assets/fonts/gotham-light.svg")); ?>' format("svg");
	      font-weight: 300;
	      font-style: normal
      }

      @font-face {
	    font-family: "Gotham-Webfont";
	    src: '<?php echo e(asset("frontAssets/assets/fonts/gotham-medium.eot")); ?>';
	    src: '<?php echo e(asset("frontAssets/assets/fonts/gotham-medium.eot")); ?>' format("embedded-opentype"), '<?php echo e(asset("frontAssets/assets/fonts/gotham-medium.woff2")); ?>' format("woff2"), '<?php echo e(asset("frontAssets/assets/fonts/gotham-medium.woff")); ?>' format("woff"), '<?php echo e(asset("frontAssets/assets/fonts/gotham-medium.ttf")); ?>' format("truetype"), '<?php echo e(asset("frontAssets/assets/fonts/gotham-medium.svg")); ?>' format("svg");
	    font-weight: 500;
	    font-style: normal
      }
    </style>
    <?php echo $__env->yieldContent('page_css'); ?>

    

  </head>

<body>
<section id="container">
        

        <!--Top bar start here-->
        <?php echo $__env->make('layouts.app_topbar', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>
        <!--Top bar End here-->

        <!--Left Side Start Here-->
        <?php echo $__env->make('layouts.app_left_sidebar', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>
        <!--Left Side End Here-->

        <!--main content start-->
        <section id="main-content">
            <section class="wrapper">
                <!--Page Start-->
                <?php echo $__env->yieldContent('content'); ?>
                <!--Page end-->
            </section>
        </section>
        <!--main content end-->

        <!--Right Side Bar Start-->
        <?php echo $__env->make('layouts.app_right_sidebar', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>
        <!--Right Side Bar End-->

        <!--Footer Start Here-->
        <?php echo $__env->make('layouts.app_footer', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>
        <!--Footer Start Here-->
</section>

    <!-- js placed at the end of the document so the pages load faster -->
    <script src="<?php echo e(URL::asset('public/assets/js/jquery.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('public/assets/js/jquery-ui-1.9.2.custom.min.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('public/assets/js/bootstrap.min.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('public/assets/js/jquery.dcjqaccordion.2.7.js')); ?>" class="include" type="text/javascript"></script>
    <script src="<?php echo e(URL::asset('public/assets/js/jquery.scrollTo.min.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('public/assets/js/jquery.nicescroll.js')); ?>" type="text/javascript"></script>
    <script src="<?php echo e(URL::asset('public/assets/js/jquery.sparkline.js')); ?>" type="text/javascript"></script>
    <script src="<?php echo e(URL::asset('public/assets/jquery-easy-pie-chart/jquery.easy-pie-chart.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('public/assets/js/owl.carousel.js')); ?>" ></script>
    <script src="<?php echo e(URL::asset('public/assets/js/jquery.customSelect.min.js')); ?>" ></script>
    <script src="<?php echo e(URL::asset('public/assets/js/respond.min.js')); ?>" ></script>
    <script src="<?php echo e(URL::asset('public/assets/toastr-master/toastr.js')); ?>"></script>

    <!--right slidebar-->
    <script src="<?php echo e(URL::asset('public/assets/js/slidebars.min.js')); ?>"></script>

    <!--common script for all pages-->
    <script src="<?php echo e(URL::asset('public/assets/js/common-scripts.js')); ?>"></script>

    <!--script for this page-->
    <script src="<?php echo e(URL::asset('public/assets/js/sparkline-chart.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('public/assets/js/easy-pie-chart.js')); ?>"></script>
    <script src="<?php echo e(URL::asset('public/assets/js/count.js')); ?>"></script>

    
    <script src="<?php echo e(URL::asset('public/assets/js/jquery-migrate-1.2.1.min.js')); ?>"></script>

    <script class="include" type="text/javascript" src="<?php echo e(URL::asset('public/assets/js/jquery.dcjqaccordion.2.7.js')); ?>"></script>

    <script type="text/javascript" language="javascript" src="<?php echo e(URL::asset('public/assets/advanced-datatable/media/js/jquery.dataTables.js')); ?>"></script>
    <script type="text/javascript" src="<?php echo e(URL::asset('public/assets/data-tables/DT_bootstrap.js')); ?>"></script>

    <!--dynamic table initialization -->
    <script src="<?php echo e(URL::asset('public/assets/js/dynamic_table_init.js')); ?>"></script>
    <?php echo $__env->yieldContent('page_js'); ?>
    <?php echo $__env->make('layouts.message', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>
  <script>

      //owl carousel

      $(document).ready(function() {
          $("#owl-demo").owlCarousel({
              navigation : true,
              slideSpeed : 300,
              paginationSpeed : 400,
              singleItem : true,
        autoPlay:true

          });
      });

      //loader display 

      $(".loading").hide(500);
      
      //custom select box

      $(function(){
          $('select.styled').customSelect();
      });

    //   $(window).on("resize",function(){
    //       var owl = $("#owl-demo").data("owlCarousel");
    //       owl.reinit();
    //   });

  </script>

  </body>
</html>